Assignee: Zbigniew Rebacz % Done: 100%
Category: CtrlLib Estimated time: 0.00 hour
Target version: Release 2017.2 - NTH Spent time: 0.00 hour

Description

Task description:

| think that scrollbar default implementation should be able to invoke menu after right mouse button click.
Vertical scrollbar context menu should contains following structure:

- Scroll here

- Separator

- Top

- Bottom

- Separator

- Page up

- Page down

- Separator

- Scroll up

- Scroll down
Horizontal structure:

- Scroll here

- Separator

- Left edge

- Right edge

- Separator

- Page left

- Page right

- Separator

- Scroll left

- Scroll right

P.S.
If any of above operation isn't implemented. Just do it.

History

#1 - 10/06/2014 10:21 PM - Zbigniew Rebacz
- File ScrollBarContextMenu.diff added

- Status changed from New to In Progress

- Assignee set to Miroslav Fidler

- % Done changed from 0 to 50

Hello,

I have created inital version. It dosen't contain implementation of "Scroll here" feature. Important changes:
- Added "WhenRightClick" callback to Pusher
- Replace callback1 (this, method binding) to THISBACK notation in Scrollbar code
- Added context menu to Scrollbar
- Minor code standarization in CtriLib

Can you review this code?

- This version shouldn't be commited to trunk!!!

#2 - 10/08/2014 10:20 PM - Zbigniew Rebacz

- File deleted (ScrollBarContextMenu.diff)

#3 - 10/08/2014 10:23 PM - Zbigniew Rebacz

- File ScrollBarContextMenu.diff added

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

- % Done changed from 50 to 90

Implemented "Scroll here" operation.

What is missing:

- Translation (Only English version)

- Documentation for "WhenRightClick" callback (See the post above)

| will need to check some things before commit. This is preview version :)

#4 - 10/08/2014 10:27 PM - Zbigniew Rebacz

- File deleted (ScrollBarContextMenu.diff)

#5 - 10/08/2014 10:31 PM - Zbigniew Rebacz

- File ScrollBarContextMenu.diff added

Moreover | added variable "menu" to Scrollbar style (Enable by default). The purpose of this variable is to control this feature.

#6 - 10/09/2014 08:24 PM - Zbigniew Rebacz

- File deleted (ScrollBarContextMenu.diff)

#7 - 10/09/2014 08:27 PM - Zbigniew Rebacz

- File ScrollBarContextMenu.diff added

- Status changed from In Progress to Patch ready

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler
- % Done changed from 90 to 100

Implemented. Last "Scroll here" implementation works with the midpoint of the scrollbar.

#8 - 10/09/2014 08:29 PM - Zbigniew Rebacz
- File ScrollbarContextMenu.png added
#9 - 10/12/2014 02:44 PM - Zbigniew Rebacz
- File deleted (ScrollBarContextMenu.diff)

#10 - 10/12/2014 02:45 PM - Zbigniew Rebacz
- File ScrollBarContextMenu.diff added

- Doubles instead of floats

#11 - 02/07/2016 02:07 PM - Zbigniew Rebacz
- Target version set to Release 2017.1 - NTH

#12 - 02/05/2017 11:21 AM - Zbigniew Rebacz
- Target version changed from Release 2017.1 - NTH to Release 2017.2 - NTH

#13 - 12/20/2017 09:25 PM - Zbigniew Rebacz
- Status changed from Patch ready to Rejected

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Files

ScrollbarContextMenu.png 155 KB 10/09/2014 Zbigniew Rebacz

ScrollBarContextMenu.diff 22.4 KB 10/12/2014 Zbigniew Rebacz
